LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XMarkableStream Interface Referencepublished

makes it possible to set and remove seekable marks to a stream. More...

`import"XMarkableStream.idl";`

Inheritance diagram for XMarkableStream:

## Public Member Functions
long | createMark () raises ( com::sun::star::io::IOException )
| creates a mark of the current position and returns an identifier to it. More...
void | deleteMark ([in] long Mark) raises ( com::sun::star::io::IOException, com::sun::star::lang::IllegalArgumentException )
| deletes the mark that you previously created with XMarkableStream::createMark(). More...
void | jumpToMark ([in] long nMark) raises ( com::sun::star::io::IOException, com::sun::star::lang::IllegalArgumentException )
| jumps to a previously created mark. More...
void | jumpToFurthest () raises ( com::sun::star::io::IOException )
| jumps to the furthest position of the stream. More...
long | offsetToMark ([in] long nMark) raises ( com::sun::star::io::IOException, com::sun::star::lang::IllegalArgumentException )
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to set and remove seekable marks to a stream.

## Member Function Documentation

## ◆ createMark()

long createMark | ( |  | ) |
raises | ( | com::sun::star::io::IOException
| ) |  |

creates a mark of the current position and returns an identifier to it.

## ◆ deleteMark()

void deleteMark | ( | [in] long | Mark | ) |
raises | ( | com::sun::star::io::IOException,
|  | com::sun::star::lang::IllegalArgumentException
| ) |  |

deletes the mark that you previously created with XMarkableStream::createMark().

It is an error to delete a mark if other marks after this exist. In this case, for reasons of robustness, the implementation must delete this mark and all others after this mark.

## ◆ jumpToFurthest()

void jumpToFurthest | ( |  | ) |
raises | ( | com::sun::star::io::IOException
| ) |  |

jumps to the furthest position of the stream.

In the inputstream case, a subsequent read call returns data, that was never read or skipped over before. In the outputstream case, a subsequent write call will add new data at the end of the stream without overwriting existing data.

## ◆ jumpToMark()

void jumpToMark | ( | [in] long | nMark | ) |
raises | ( | com::sun::star::io::IOException,
|  | com::sun::star::lang::IllegalArgumentException
| ) |  |

jumps to a previously created mark.

## ◆ offsetToMark()

long offsetToMark | ( | [in] long | nMark | ) |
raises | ( | com::sun::star::io::IOException,
|  | com::sun::star::lang::IllegalArgumentException
| ) |  |

Returns
  the offset from the current stream position to the mark ("current position" - "mark position").

Parameters

  nMark | identifies the mark which is used as a base to calculate the offset of the current position.

Exceptions

  IllegalArgumentException | if the mark does not exist or is deleted.
  IOException | if an I/O error has occurred.

The documentation for this interface was generated from the following file:

- com/sun/star/io/XMarkableStream.idl